﻿<%@ Page Title="Store and share all your remote desktop connections online" Theme="RDMS" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="True"
         Inherits="Devolutions.RemoteDesktopManager.Server.Default" CodeBehind="Default.aspx.cs" %>

<%@ MasterType VirtualPath="~/MasterPage.master" %>

<asp:Content ID="Content3" ContentPlaceHolderID="main" runat="Server">
    <asp:Image style="width: 100%; margin: 28px auto 36px; max-width: 558px; min-width: 300px; display: block;" ImageUrl="~/Images/RemoteDesktopManagerServerLogo.png" runat="server"/>
    <div style="width: 440px; margin: 0 auto;">
        <asp:Login Width="440px" ID="Login1" runat="server" DestinationPageUrl="~/Secure/Home.aspx" OnLoggedIn="Login1_LoggedIn" OnLoginError="Login1_LoginError">
            <LayoutTemplate>
                <ul class="loginform">
                    <li>
                        <asp:Label ID="lblUserName" AssociatedControlID="UserName" runat="server">User</asp:Label>
                        <asp:TextBox TabIndex="1" ID="UserName" ValidationGroup="Login" runat="server"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvUserName" CssClass="formerror" ValidationGroup="Login" ControlToValidate="UserName" Text="*"
                                                    runat="server" ToolTip="The username is empty."></asp:RequiredFieldValidator>
                    </li>
                    <li>
                        <asp:Label ID="lblPassWord" AssociatedControlID="PassWord" runat="server">Password</asp:Label>
                        <asp:TextBox TabIndex="2" ID="PassWord" ValidationGroup="Login" TextMode="Password" runat="server"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvPassWord" CssClass="formerror" ValidationGroup="Login" ControlToValidate="PassWord" Text="*" ToolTip="The password is required."
                                                    runat="server"></asp:RequiredFieldValidator>
                    </li>						
                    <li>
                        <p><asp:Label ID="FailureText" Font-Size="10px" runat="server" EnableViewState="False">Not a member? Contact an Administrator to request an account.</asp:Label></p>
                    </li>
                    <li style="text-align: right;">
                        <asp:Button TabIndex="4" ID="LoginButton" ValidationGroup="Login" CssClass="button green small" CommandName="Login" runat="server"
                                    Text="Log In"></asp:Button>
                    </li>
                </ul>
            </LayoutTemplate>
        </asp:Login>
    </div>
</asp:Content>