﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="EditAccount.aspx.cs" Inherits="Devolutions.RemoteDesktopManager.Server.Secure.EditAccountPage" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title>Edit Account</title>

	<script type="text/javascript" src="../../Scripts/jquery/1.6/jquery.min.js">
	</script>

	<script type="text/javascript">
		$(document).ready(function()
		{
			$('#FormView1').load(function()
			{
				window.parent.resizeFancyBox();
			});
		});

		$('#FormView1').ready(function()
		{
			window.parent.resizeFancyBox();
		});
	</script>
    
    <link rel="stylesheet" type="text/css" href="../../App_Themes/RDMS/01reset.css">
    <link rel="stylesheet" type="text/css" href="../../App_Themes/RDMS/03rdms.css">

</head>
<body style="background-color: transparent; background-image: none; margin: 0;">
	<form id="form1" runat="server">
		<div id="popupHolder">
			<asp:FormView ID="FormView1" DefaultMode="Edit" runat="server" DataSourceID="odsGetAccountInfo">
				<EditItemTemplate>
					<fieldset class="form" style="width: 630px; margin: 0 auto">
						<ul style="float: left; width: 360px;">
							<li>
								<asp:Label ID="lblEmail" AssociatedControlID="txtEmail" Text="Email" runat="server" />
								<asp:TextBox ID="txtEmail" Text='<%# Eval("Email") %>' runat="server" />
							</li>
							<li>
								<asp:Label ID="lblFirstName" AssociatedControlID="txtFirstName" Text="First name" runat="server" />
								<asp:TextBox ID="txtFirstName" Text='<%# Eval("FirstName") %>' runat="server" />
							</li>
							<li>
								<asp:Label ID="lblLastName" AssociatedControlID="txtLastName" Text="Last name" runat="server" />
								<asp:TextBox ID="txtLastName" Text='<%# Eval("LastName") %>' runat="server" />
							</li>
							<li>
								<asp:Label ID="lblCompany" AssociatedControlID="txtCompany" Text="Company" runat="server" />
								<asp:TextBox ID="txtCompany" Text='<%# Eval("CompanyName") %>' runat="server" />
							</li>
							<li>
								<asp:Label ID="lblAddress" AssociatedControlID="txtAddress" Text="Address" runat="server" />
								<asp:TextBox ID="txtAddress" TextMode="MultiLine" Rows="4" Text='<%# Eval("Address") %>' runat="server" />
							</li>
							<li>
								<asp:Label ID="lblCountry" AssociatedControlID="Country" Text="Country" runat="server" />
								<asp:DropDownList SelectedValue='<%# Eval("CountryCode") %>' ID="Country" runat="server">
									<asp:ListItem Value="">---------</asp:ListItem>
									<asp:ListItem Value="US">United States</asp:ListItem>
									<asp:ListItem Value="DE">Germany</asp:ListItem>
									<asp:ListItem Value="NL">Netherlands</asp:ListItem>
									<asp:ListItem Value="CA">Canada</asp:ListItem>
									<asp:ListItem Value="GB">United Kingdom</asp:ListItem>
									<asp:ListItem Value="AF">Afghanistan</asp:ListItem>
									<asp:ListItem Value="AX">Åland Islands</asp:ListItem>
									<asp:ListItem Value="AL">Albania</asp:ListItem>
									<asp:ListItem Value="DZ">Algeria</asp:ListItem>
									<asp:ListItem Value="AS">American Samoa</asp:ListItem>
									<asp:ListItem Value="AD">Andorra</asp:ListItem>
									<asp:ListItem Value="AO">Angola</asp:ListItem>
									<asp:ListItem Value="AI">Anguilla</asp:ListItem>
									<asp:ListItem Value="AQ">Antarctica</asp:ListItem>
									<asp:ListItem Value="AG">Antigua And Barbuda</asp:ListItem>
									<asp:ListItem Value="AR">Argentina</asp:ListItem>
									<asp:ListItem Value="AM">Armenia</asp:ListItem>
									<asp:ListItem Value="AW">Aruba</asp:ListItem>
									<asp:ListItem Value="AU">Australia</asp:ListItem>
									<asp:ListItem Value="AT">Austria</asp:ListItem>
									<asp:ListItem Value="AZ">Azerbaijan</asp:ListItem>
									<asp:ListItem Value="BS">Bahamas</asp:ListItem>
									<asp:ListItem Value="BH">Bahrain</asp:ListItem>
									<asp:ListItem Value="BD">Bangladesh</asp:ListItem>
									<asp:ListItem Value="BB">Barbados</asp:ListItem>
									<asp:ListItem Value="BY">Belarus</asp:ListItem>
									<asp:ListItem Value="BE">Belgium</asp:ListItem>
									<asp:ListItem Value="BZ">Belize</asp:ListItem>
									<asp:ListItem Value="BJ">Benin</asp:ListItem>
									<asp:ListItem Value="BM">Bermuda</asp:ListItem>
									<asp:ListItem Value="BT">Bhutan</asp:ListItem>
									<asp:ListItem Value="BO">Bolivia</asp:ListItem>
									<asp:ListItem Value="BA">Bosnia And Herzegovina</asp:ListItem>
									<asp:ListItem Value="BW">Botswana</asp:ListItem>
									<asp:ListItem Value="BV">Bouvet Island</asp:ListItem>
									<asp:ListItem Value="BR">Brazil</asp:ListItem>
									<asp:ListItem Value="IO">British Indian Ocean Territory</asp:ListItem>
									<asp:ListItem Value="BN">Brunei Darussalam</asp:ListItem>
									<asp:ListItem Value="BG">Bulgaria</asp:ListItem>
									<asp:ListItem Value="BF">Burkina Faso</asp:ListItem>
									<asp:ListItem Value="BI">Burundi</asp:ListItem>
									<asp:ListItem Value="KH">Cambodia</asp:ListItem>
									<asp:ListItem Value="CM">Cameroon</asp:ListItem>
									<asp:ListItem Value="CV">Cape Verde</asp:ListItem>
									<asp:ListItem Value="KY">Cayman Islands</asp:ListItem>
									<asp:ListItem Value="CF">Central African Republic</asp:ListItem>
									<asp:ListItem Value="TD">Chad</asp:ListItem>
									<asp:ListItem Value="CL">Chile</asp:ListItem>
									<asp:ListItem Value="CN">China</asp:ListItem>
									<asp:ListItem Value="CX">Christmas Island</asp:ListItem>
									<asp:ListItem Value="CC">Cocos (keeling) Islands</asp:ListItem>
									<asp:ListItem Value="CO">Colombia</asp:ListItem>
									<asp:ListItem Value="KM">Comoros</asp:ListItem>
									<asp:ListItem Value="CG">Congo</asp:ListItem>
									<asp:ListItem Value="CD">Congo, The Democratic Republic Of The</asp:ListItem>
									<asp:ListItem Value="CK">Cook Islands</asp:ListItem>
									<asp:ListItem Value="CR">Costa Rica</asp:ListItem>
									<asp:ListItem Value="CI">CÔte D'ivoire</asp:ListItem>
									<asp:ListItem Value="HR">Croatia</asp:ListItem>
									<asp:ListItem Value="CU">Cuba</asp:ListItem>
									<asp:ListItem Value="CY">Cyprus</asp:ListItem>
									<asp:ListItem Value="CZ">Czech Republic</asp:ListItem>
									<asp:ListItem Value="DK">Denmark</asp:ListItem>
									<asp:ListItem Value="DJ">Djibouti</asp:ListItem>
									<asp:ListItem Value="DM">Dominica</asp:ListItem>
									<asp:ListItem Value="DO">Dominican Republic</asp:ListItem>
									<asp:ListItem Value="EC">Ecuador</asp:ListItem>
									<asp:ListItem Value="EG">Egypt</asp:ListItem>
									<asp:ListItem Value="SV">El Salvador</asp:ListItem>
									<asp:ListItem Value="GQ">Equatorial Guinea</asp:ListItem>
									<asp:ListItem Value="ER">Eritrea</asp:ListItem>
									<asp:ListItem Value="EE">Estonia</asp:ListItem>
									<asp:ListItem Value="ET">Ethiopia</asp:ListItem>
									<asp:ListItem Value="FK">Falkland Islands (malvinas)</asp:ListItem>
									<asp:ListItem Value="FO">Faroe Islands</asp:ListItem>
									<asp:ListItem Value="FJ">Fiji</asp:ListItem>
									<asp:ListItem Value="FI">Finland</asp:ListItem>
									<asp:ListItem Value="FR">France</asp:ListItem>
									<asp:ListItem Value="GF">French Guiana</asp:ListItem>
									<asp:ListItem Value="PF">French Polynesia</asp:ListItem>
									<asp:ListItem Value="TF">French Southern Territories</asp:ListItem>
									<asp:ListItem Value="GA">Gabon</asp:ListItem>
									<asp:ListItem Value="GM">Gambia</asp:ListItem>
									<asp:ListItem Value="GE">Georgia</asp:ListItem>
									<asp:ListItem Value="GH">Ghana</asp:ListItem>
									<asp:ListItem Value="GI">Gibraltar</asp:ListItem>
									<asp:ListItem Value="GR">Greece</asp:ListItem>
									<asp:ListItem Value="GL">Greenland</asp:ListItem>
									<asp:ListItem Value="GD">Grenada</asp:ListItem>
									<asp:ListItem Value="GP">Guadeloupe</asp:ListItem>
									<asp:ListItem Value="GU">Guam</asp:ListItem>
									<asp:ListItem Value="GT">Guatemala</asp:ListItem>
									<asp:ListItem Value="GG">Guernsey</asp:ListItem>
									<asp:ListItem Value="GN">Guinea</asp:ListItem>
									<asp:ListItem Value="GW">Guinea-bissau</asp:ListItem>
									<asp:ListItem Value="GY">Guyana</asp:ListItem>
									<asp:ListItem Value="HT">Haiti</asp:ListItem>
									<asp:ListItem Value="HM">Heard Island And Mcdonald Islands</asp:ListItem>
									<asp:ListItem Value="HN">Honduras</asp:ListItem>
									<asp:ListItem Value="HK">Hong Kong</asp:ListItem>
									<asp:ListItem Value="HU">Hungary</asp:ListItem>
									<asp:ListItem Value="IS">Iceland</asp:ListItem>
									<asp:ListItem Value="IN">India</asp:ListItem>
									<asp:ListItem Value="ID">Indonesia</asp:ListItem>
									<asp:ListItem Value="IR">Iran, Islamic Republic Of</asp:ListItem>
									<asp:ListItem Value="IQ">Iraq</asp:ListItem>
									<asp:ListItem Value="IE">Ireland</asp:ListItem>
									<asp:ListItem Value="IM">Isle Of Man</asp:ListItem>
									<asp:ListItem Value="IL">Israel</asp:ListItem>
									<asp:ListItem Value="IT">Italy</asp:ListItem>
									<asp:ListItem Value="JM">Jamaica</asp:ListItem>
									<asp:ListItem Value="JP">Japan</asp:ListItem>
									<asp:ListItem Value="JE">Jersey</asp:ListItem>
									<asp:ListItem Value="JO">Jordan</asp:ListItem>
									<asp:ListItem Value="KZ">Kazakhstan</asp:ListItem>
									<asp:ListItem Value="KE">Kenya</asp:ListItem>
									<asp:ListItem Value="KI">Kiribati</asp:ListItem>
									<asp:ListItem Value="KP">Korea, Democratic People's Republic Of</asp:ListItem>
									<asp:ListItem Value="KR">Korea, Republic Of</asp:ListItem>
									<asp:ListItem Value="KW">Kuwait</asp:ListItem>
									<asp:ListItem Value="KG">Kyrgyzstan</asp:ListItem>
									<asp:ListItem Value="LA">Lao People's Democratic Republic</asp:ListItem>
									<asp:ListItem Value="LV">Latvia</asp:ListItem>
									<asp:ListItem Value="LB">Lebanon</asp:ListItem>
									<asp:ListItem Value="LS">Lesotho</asp:ListItem>
									<asp:ListItem Value="LR">Liberia</asp:ListItem>
									<asp:ListItem Value="LY">Libyan Arab Jamahiriya</asp:ListItem>
									<asp:ListItem Value="LI">Liechtenstein</asp:ListItem>
									<asp:ListItem Value="LT">Lithuania</asp:ListItem>
									<asp:ListItem Value="LU">Luxembourg</asp:ListItem>
									<asp:ListItem Value="MO">Macao</asp:ListItem>
									<asp:ListItem Value="MK">Macedonia, The Former Yugoslav Republic Of</asp:ListItem>
									<asp:ListItem Value="MG">Madagascar</asp:ListItem>
									<asp:ListItem Value="MW">Malawi</asp:ListItem>
									<asp:ListItem Value="MY">Malaysia</asp:ListItem>
									<asp:ListItem Value="MV">Maldives</asp:ListItem>
									<asp:ListItem Value="ML">Mali</asp:ListItem>
									<asp:ListItem Value="MT">Malta</asp:ListItem>
									<asp:ListItem Value="MH">Marshall Islands</asp:ListItem>
									<asp:ListItem Value="MQ">Martinique</asp:ListItem>
									<asp:ListItem Value="MR">Mauritania</asp:ListItem>
									<asp:ListItem Value="MU">Mauritius</asp:ListItem>
									<asp:ListItem Value="YT">Mayotte</asp:ListItem>
									<asp:ListItem Value="MX">Mexico</asp:ListItem>
									<asp:ListItem Value="FM">Micronesia, Federated States Of</asp:ListItem>
									<asp:ListItem Value="MD">Moldova</asp:ListItem>
									<asp:ListItem Value="MC">Monaco</asp:ListItem>
									<asp:ListItem Value="MN">Mongolia</asp:ListItem>
									<asp:ListItem Value="ME">Montenegro</asp:ListItem>
									<asp:ListItem Value="MS">Montserrat</asp:ListItem>
									<asp:ListItem Value="MA">Morocco</asp:ListItem>
									<asp:ListItem Value="MZ">Mozambique</asp:ListItem>
									<asp:ListItem Value="MM">Myanmar</asp:ListItem>
									<asp:ListItem Value="NA">Namibia</asp:ListItem>
									<asp:ListItem Value="NR">Nauru</asp:ListItem>
									<asp:ListItem Value="NP">Nepal</asp:ListItem>
									<asp:ListItem Value="AN">Netherlands Antilles</asp:ListItem>
									<asp:ListItem Value="NC">New Caledonia</asp:ListItem>
									<asp:ListItem Value="NZ">New Zealand</asp:ListItem>
									<asp:ListItem Value="NI">Nicaragua</asp:ListItem>
									<asp:ListItem Value="NE">Niger</asp:ListItem>
									<asp:ListItem Value="NG">Nigeria</asp:ListItem>
									<asp:ListItem Value="NU">Niue</asp:ListItem>
									<asp:ListItem Value="NF">Norfolk Island</asp:ListItem>
									<asp:ListItem Value="MP">Northern Mariana Islands</asp:ListItem>
									<asp:ListItem Value="NO">Norway</asp:ListItem>
									<asp:ListItem Value="OM">Oman</asp:ListItem>
									<asp:ListItem Value="PK">Pakistan</asp:ListItem>
									<asp:ListItem Value="PW">Palau</asp:ListItem>
									<asp:ListItem Value="PS">Palestinian Territory, Occupied</asp:ListItem>
									<asp:ListItem Value="PA">Panama</asp:ListItem>
									<asp:ListItem Value="PG">Papua New Guinea</asp:ListItem>
									<asp:ListItem Value="PY">Paraguay</asp:ListItem>
									<asp:ListItem Value="PE">Peru</asp:ListItem>
									<asp:ListItem Value="PH">Philippines</asp:ListItem>
									<asp:ListItem Value="PN">Pitcairn</asp:ListItem>
									<asp:ListItem Value="PL">Poland</asp:ListItem>
									<asp:ListItem Value="PT">Portugal</asp:ListItem>
									<asp:ListItem Value="PR">Puerto Rico</asp:ListItem>
									<asp:ListItem Value="QA">Qatar</asp:ListItem>
									<asp:ListItem Value="RE">RÉunion</asp:ListItem>
									<asp:ListItem Value="RO">Romania</asp:ListItem>
									<asp:ListItem Value="RU">Russia</asp:ListItem>
									<asp:ListItem Value="RW">Rwanda</asp:ListItem>
									<asp:ListItem Value="BL">Saint BarthÉlemy</asp:ListItem>
									<asp:ListItem Value="SH">Saint Helena</asp:ListItem>
									<asp:ListItem Value="KN">Saint Kitts And Nevis</asp:ListItem>
									<asp:ListItem Value="LC">Saint Lucia</asp:ListItem>
									<asp:ListItem Value="MF">Saint Martin</asp:ListItem>
									<asp:ListItem Value="PM">Saint Pierre And Miquelon</asp:ListItem>
									<asp:ListItem Value="VC">Saint Vincent And The Grenadines</asp:ListItem>
									<asp:ListItem Value="WS">Samoa</asp:ListItem>
									<asp:ListItem Value="SM">San Marino</asp:ListItem>
									<asp:ListItem Value="ST">Sao Tome And Principe</asp:ListItem>
									<asp:ListItem Value="SA">Saudi Arabia</asp:ListItem>
									<asp:ListItem Value="SN">Senegal</asp:ListItem>
									<asp:ListItem Value="RS">Serbia</asp:ListItem>
									<asp:ListItem Value="SC">Seychelles</asp:ListItem>
									<asp:ListItem Value="SL">Sierra Leone</asp:ListItem>
									<asp:ListItem Value="SG">Singapore</asp:ListItem>
									<asp:ListItem Value="SK">Slovakia</asp:ListItem>
									<asp:ListItem Value="SI">Slovenia</asp:ListItem>
									<asp:ListItem Value="SB">Solomon Islands</asp:ListItem>
									<asp:ListItem Value="SO">Somalia</asp:ListItem>
									<asp:ListItem Value="ZA">South Africa</asp:ListItem>
									<asp:ListItem Value="GS">South Georgia And The South Sandwich Islands</asp:ListItem>
									<asp:ListItem Value="ES">Spain</asp:ListItem>
									<asp:ListItem Value="LK">Sri Lanka</asp:ListItem>
									<asp:ListItem Value="SD">Sudan</asp:ListItem>
									<asp:ListItem Value="SR">Suriname</asp:ListItem>
									<asp:ListItem Value="SJ">Svalbard And Jan Mayen</asp:ListItem>
									<asp:ListItem Value="SZ">Swaziland</asp:ListItem>
									<asp:ListItem Value="SE">Sweden</asp:ListItem>
									<asp:ListItem Value="CH">Switzerland</asp:ListItem>
									<asp:ListItem Value="SY">Syrian Arab Republic</asp:ListItem>
									<asp:ListItem Value="TW">Taiwan, Province Of China</asp:ListItem>
									<asp:ListItem Value="TJ">Tajikistan</asp:ListItem>
									<asp:ListItem Value="TZ">Tanzania, United Republic Of</asp:ListItem>
									<asp:ListItem Value="TH">Thailand</asp:ListItem>
									<asp:ListItem Value="TL">Timor-leste</asp:ListItem>
									<asp:ListItem Value="TG">Togo</asp:ListItem>
									<asp:ListItem Value="TK">Tokelau</asp:ListItem>
									<asp:ListItem Value="TO">Tonga</asp:ListItem>
									<asp:ListItem Value="TT">Trinidad And Tobago</asp:ListItem>
									<asp:ListItem Value="TN">Tunisia</asp:ListItem>
									<asp:ListItem Value="TR">Turkey</asp:ListItem>
									<asp:ListItem Value="TM">Turkmenistan</asp:ListItem>
									<asp:ListItem Value="TC">Turks And Caicos Islands</asp:ListItem>
									<asp:ListItem Value="TV">Tuvalu</asp:ListItem>
									<asp:ListItem Value="UG">Uganda</asp:ListItem>
									<asp:ListItem Value="UA">Ukraine</asp:ListItem>
									<asp:ListItem Value="AE">United Arab Emirates</asp:ListItem>
									<asp:ListItem Value="UM">United States Minor Outlying Islands</asp:ListItem>
									<asp:ListItem Value="UY">Uruguay</asp:ListItem>
									<asp:ListItem Value="UZ">Uzbekistan</asp:ListItem>
									<asp:ListItem Value="VU">Vanuatu</asp:ListItem>
									<asp:ListItem Value="VA">Vatican City State</asp:ListItem>
									<asp:ListItem Value="VE">Venezuela</asp:ListItem>
									<asp:ListItem Value="VN">Viet Nam</asp:ListItem>
									<asp:ListItem Value="VG">Virgin Islands, British</asp:ListItem>
									<asp:ListItem Value="VI">Virgin Islands, U.s.</asp:ListItem>
									<asp:ListItem Value="WF">Wallis And Futuna</asp:ListItem>
									<asp:ListItem Value="EH">Western Sahara</asp:ListItem>
									<asp:ListItem Value="YE">Yemen</asp:ListItem>
									<asp:ListItem Value="ZM">Zambia</asp:ListItem>
									<asp:ListItem Value="ZW">Zimbabwe</asp:ListItem>
								</asp:DropDownList>
							</li>
							<li>
								<asp:Label ID="lblState" AssociatedControlID="txtState" Text="State" runat="server" />
								<asp:TextBox ID="txtState" Text='<%# Eval("State") %>' runat="server" />
							</li>
							<li>
								<asp:Label ID="lblPhone" AssociatedControlID="txtPhone" Text="Phone" runat="server" />
								<asp:TextBox ID="txtPhone" Text='<%# Eval("Phone") %>' runat="server" />
							</li>
							<li>
								<asp:Label ID="lblFax" AssociatedControlID="txtFax" Text="Fax" runat="server" />
								<asp:TextBox ID="txtFax" Text='<%# Eval("Fax") %>' runat="server" />
							</li>
						</ul>
					</fieldset>
				</EditItemTemplate>
			</asp:FormView>
			<div style="background: none repeat scroll 0 0 #D0D2D7; padding: 7px; text-align: right;">
				<asp:Label Style="float: left; font-size: 11px; line-height: 16px;" runat="server" ID="lblMessage"></asp:Label>
				<asp:Button CssClass="button blue small" ID="btnSave" runat="server" Text="Save" OnClick="btnSave_Click" />
				<a style="margin-left: 5px" class="button blue small" href="javascript:parent.$.fancybox.close();">Cancel</a>
			</div>
			<rdm:ParentDataSource ID="odsGetAccountInfo" runat="server" SelectMethod="GetProfileInfo" TypeName="Devolutions.RemoteDesktopManager.Server.Secure.EditAccountPage">
			</rdm:ParentDataSource>
		</div>
	</form>
</body>
</html>
